-- ============================================================
--   TABLE: TIPOOPERAC
-- ============================================================
ALTER TABLE TIPOOPERAC ADD IDUTPARFISCENT VARCHAR2(01) DEFAULT 'S'
/

-- ============================================================
--   TABLE: CFOPPRODUTO
-- ============================================================
CREATE TABLE CFOPPRODUTO
(
	CDPRODUTO 		  VARCHAR2(30),
	CDFISCOPER 		  VARCHAR2(04),
	IDENTRSAIDOP 	  VARCHAR2(01),
	NRORG             NUMBER 	     DEFAULT         SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    IDATIVO           VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_CFOPPRODUTO CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        DATE                  			NULL,
    DTULTATU          DATE                  			NULL,
    NRORGINCLUSAO     NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    DEFAULT '1' 		NULL,
    NRORGULTATU       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    DEFAULT '1',
		CONSTRAINT PK_CFOPPRODUTO PRIMARY KEY (CDPRODUTO, IDENTRSAIDOP)
)
/

-- ============================================================
--   TABLE: CFOPPRODUTOTPOP
-- ============================================================
CREATE TABLE CFOPPRODUTOTPOP
(
	CDPRODUTO VARCHAR2(30),
	CDFISCOPER VARCHAR2(04),
	IDENTRSAIDOP VARCHAR2(01),
	CDTIPOOPER VARCHAR2(02),
	NRORG             NUMBER 	     DEFAULT         SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    IDATIVO           VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_CFOPPRODUTOTPOP CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        DATE                  			NULL,
    DTULTATU          DATE                  			NULL,
    NRORGINCLUSAO     NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    DEFAULT '1' 		NULL,
    NRORGULTATU       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    DEFAULT '1',
		CONSTRAINT PK_CFOPPRODUTO_TPOP PRIMARY KEY (CDPRODUTO, IDENTRSAIDOP, CDTIPOOPER)
)
/